Skip to main content
GET
/
v1alpha1
/
offers
/
{id}
GetOffer
curl --request GET \
  --url https://api.toffeepay.com/v1alpha1/offers/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "game_id": "<string>",
  "title": "<string>",
  "image": "<string>",
  "category": "<string>",
  "status": "inactive",
  "items": [
    {
      "id": "<string>",
      "icon": "<string>",
      "amount": 123
    }
  ],
  "price": 123,
  "currency": "USD",
  "country": "<string>",
  "wallet_enabled": true,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "user_id": "<string>",
  "reference": "<string>",
  "description": "<string>",
  "label": "<string>",
  "stock": 123,
  "return_url": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Response

200 - application/json

Success

id
string
required
game_id
string
required
title
string
required
image
string
required
Pattern: ^(https?://|data:)
category
string
required
status
enum<string>
required
Available options:
inactive,
active
items
OfferItem · object[]
required
Minimum array length: 1
price
integer<int32>
required
currency
enum<string>
required
Available options:
USD,
GBP,
EUR
country
string
required

ISO 3166-1 alpha-2: "US", "GB", "DE"

Required string length: 2
Pattern: ^[A-Z]{2}$
wallet_enabled
boolean
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
user_id
string | null
reference
string | null
description
string | null
label
string | null
stock
integer<int32> | null
return_url
string<uri>